Download it now!
Bug 37143 (wb3) - FILEOPEN Calc can't load a *.wb3 file
Summary: FILEOPEN Calc can't load a *.wb3 file
Status: RESOLVED FIXED
Alias: wb3
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: lowest enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Format-Filters
  Show dependency treegraph
 
Reported: 2011-05-12 08:17 UTC by Christopher M. Penalver
Modified: 2019-05-31 10:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
CAR08.wb3 (14.00 KB, application/x-quattropro)
2011-05-12 08:17 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-05-12 08:17:59 UTC
Created attachment 46640 [details]
CAR08.wb3

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/314147

Related OOo bug may be found at:
http://openoffice.org/bugzilla/show_bug.cgi?id=5460

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-proposed/main i386
Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen using LibreOffice Calc via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/314147/+attachment/434865/+files/CAR08.wb3 && localc -nologo CAR08.wb3

is the file opens.

4) What happens instead is it fails silently.
Comment 1 Björn Michaelsen 2011-12-23 12:05:29 UTC Comment hidden (obsolete)
Comment 2 Florian Reisinger 2012-08-14 13:59:20 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 14:00:32 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:05:14 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:07:16 UTC Comment hidden (obsolete)
Comment 6 Owen Genat (retired) 2013-12-21 05:13:27 UTC
Added Apache OO issue to See Also list (https://issues.apache.org/ooo/show_bug.cgi?id=64403 would seem a related duplicate). Version set to Inherited From OOo.
Comment 7 Owen Genat (retired) 2014-01-06 10:31:23 UTC
Setting version back from "Inherited From OOo" to what it was prior (for bugs marked enhancement), for QA tracking purposes. My mistake. Apologies.
Comment 8 Joel Madero 2014-11-04 03:29:23 UTC
I don't see that this was ever confirmed. REOPENED is incorrect status. Moving back to UNCONFIRMED.
Comment 9 Christopher M. Penalver 2014-11-05 23:59:58 UTC
This was initially reported downstream 5 years ago, as noted in the See Also: at the top of this report -> https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/314147 , and as I've confirmed this now twice, once downstream, and now again here by reporting it, I've marked this New as outlined in https://wiki.documentfoundation.org/QA/BSA/BugReport_Details#Initial_state (which doesn't require a member of QA confirming a bug to mark it New).

Despite this, as I'm now formally a member of QA https://wiki.documentfoundation.org/QA/Team , I've gone ahead and placed myself as the QA contact if you would have further questions regarding the scope of this report.
Comment 10 osnola 2018-01-29 09:31:45 UTC
Hello, 
just for information, I just added some code in libwps to convert *.wb3 files ; so LibreOffice will contain in a near future a filter to convert them (probably in LibreOffice 6.1), ie. first, a new version libwps must be released, then this version must be integrated to LibreOffice, ...
Comment 11 osnola 2019-05-31 10:17:35 UTC
LibreOffice 6.2 (and probably LibreOffice 6.1) can now open this file...